local model = require "sailor.model"
local article = {}

function article.index(page)
	local articles = model("article"):find_all() 
	page:render('index',{articles = articles})
end

function article.create(page) 
	local p = model("article"):new() 
	if next(page.POST) then
		p:get_post(page.POST)
		if p:save() then 
			page:redirect('article/index')
		end 
	end
	
	page:render('create',{article=p}) 
end

return article
