workspace "Compression"
  configurations { "Debug", "Release" }
  filter "configurations:Debug"
	defines "_DEBUG"
  filter "configurations:Release"
	defines { "NDEBUG" }
	optimize "full"
  filter "action:vs*"
    defines { "_CRT_SECURE_NO_WARNINGS", 
	          "_CRT_NONSTDC_NO_DEPRECATE" }
  filter {}
  
project "Zlib"
  kind "StaticLib"
  language "C"
  files { "*.h", "*.c" }
 
project "enough"
  kind "ConsoleApp"
  files "examples/enough.c"
  links "Zlib"
  includedirs "."
  
project "zpipe"
  kind "ConsoleApp"
  files "examples/zpipe.c"
  links "Zlib"
  includedirs "."
