-- Une boucle numérique s'écrit généralement avec for
for i = 1, 10 do
  -- Un test s'effectue avec if ou elseif
  if i % 2 == 0 then
    print(i, "est pair")
  elseif i % 3 == 0 then
    print(i, "est multiple de 3")
  elseif i % 5 == 0 then
    print(i, "est multiple de 5")
  else
    print(i, "n'est pas multiple de 2, 3 ou 5")
  end
end

-- Une boucle plus générale peut s'écrire avec while
local i = 1
while true do
  if i % 2 == 0 and i % 3 == 0 and i % 5 == 0 then
    print(i, "est multiple à la fois de 2, 3 et 5")
    break -- force à quitter la boucle
  end
  i = i + 1  -- Il n'existe pas d'opérateur ++ ni +=
end

-- Ou avec repeat ... until
local i = 0
repeat
  i = i + 1
until i % 2 == 0 and i % 3 == 0 and i % 5 == 0
print(i, "est aussi multiple à la fois de 2, 3 et 5")

-- Et il existe la forme générique de for
for k,v in ipairs({3,2,1,'Boum !'}) do
  print(v)
end
