print(zlib._VERSION)
orig = "Hello World!\n"
assert(zlib.crc(orig) == 2098519517)
assert(zlib.adler(orig) == 546374728)

orig2 = orig:rep(10000)
assert(zlib.crc(orig2) == 3097846852)
c1 = zlib.compress(orig)
c2 = zlib.compress(orig2, 9)
print(("%d => %d\n%d => %d"):format(#orig, #c1, #orig2, #c2))

u1 = zlib.uncompress(c1)
u2 = zlib.uncompress(c2)
assert(u1 == orig)
assert(u2 == orig2)

print(pcall(zlib.uncompress, "Hello"))
print(pcall(zlib.compress, "Hello", 10))
